package com.ruoyi.tuya.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户留言对象 tuya_leave_words
 * 
 * @author zf
 * @date 2022-08-23
 */
public class TuyaLeaveWords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long wordsId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String talkName;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 联系地址 */
    @Excel(name = "联系地址")
    private String address;

    /** 内容 */
    @Excel(name = "内容")
    private String wordsContent;

    /** 标识 */
    @Excel(name = "标识")
    private Long flag;

    public void setWordsId(Long wordsId) 
    {
        this.wordsId = wordsId;
    }

    public Long getWordsId() 
    {
        return wordsId;
    }
    public void setTalkName(String talkName) 
    {
        this.talkName = talkName;
    }

    public String getTalkName() 
    {
        return talkName;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setWordsContent(String wordsContent) 
    {
        this.wordsContent = wordsContent;
    }

    public String getWordsContent() 
    {
        return wordsContent;
    }
    public void setFlag(Long flag) 
    {
        this.flag = flag;
    }

    public Long getFlag() 
    {
        return flag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("wordsId", getWordsId())
            .append("talkName", getTalkName())
            .append("phone", getPhone())
            .append("address", getAddress())
            .append("wordsContent", getWordsContent())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("flag", getFlag())
            .append("remark", getRemark())
            .toString();
    }
}
